%define modname mongo
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B04_%{modname}.ini

Summary:	Mongo Database Driver
Name:		php-%{modname}
Version:	1.0.4
Release:	%mkrel 1
Group:		Development/PHP
License:	Apache License
URL:		http://pecl.php.net/package/mongo/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	mongo.ini
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package provides an interface for communicating with the Mongo database
in PHP.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.rdoc package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2010.1
+ Revision: 514506
- 1.0.4

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 490650
- 1.0.3

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2010.1
+ Revision: 485409
- rebuilt for php-5.3.2RC1

* Sun Dec 27 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2010.1
+ Revision: 482777
- 1.0.2

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2010.1
+ Revision: 468192
- rebuilt against php-5.3.1

* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2010.0
+ Revision: 452914
- import php-mongo


* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2010.0
- initial Mandriva package
